=== modified file 'include/m_string.h'
--- include/m_string.h	2008-07-14 04:46:28 +0000
+++ include/m_string.h	2008-07-14 16:24:25 +0000
@@ -333,12 +333,12 @@
 
   if (len > 20)
   {
-    const uchar *end_words= (const uchar *)(intptr)
-      (((uint64_t)(intptr)end) / SIZEOF_INT * SIZEOF_INT);
-    const uchar *start_words= (const uchar *)(intptr)
-       ((((uint64_t)(intptr)ptr) + SIZEOF_INT - 1) / SIZEOF_INT * SIZEOF_INT);
+    const uchar *end_words= (const uchar *)(intptr_t)
+      (((uint64_t)(intptr_t)end) / SIZEOF_INT * SIZEOF_INT);
+    const uchar *start_words= (const uchar *)(intptr_t)
+       ((((uint64_t)(intptr_t)ptr) + SIZEOF_INT - 1) / SIZEOF_INT * SIZEOF_INT);
 
-    DBUG_ASSERT(((uint64_t)(intptr)ptr) >= SIZEOF_INT);
+    DBUG_ASSERT(((uint64_t)(intptr_t)ptr) >= SIZEOF_INT);
     if (end_words > ptr)
     {
       while (end > end_words && end[-1] == 0x20)

=== modified file 'include/my_global.h'
--- include/my_global.h	2008-07-14 16:09:55 +0000
+++ include/my_global.h	2008-07-14 16:24:25 +0000
@@ -746,16 +746,6 @@
 typedef int64_t	int64_t;
 #endif
 
-#if SIZEOF_CHARP == SIZEOF_INT
-typedef int intptr;
-#elif SIZEOF_CHARP == SIZEOF_LONG
-typedef long intptr;
-#elif SIZEOF_CHARP == SIZEOF_LONG_LONG
-typedef long long intptr;
-#else
-#error sizeof(void *) is neither sizeof(int) nor sizeof(long) nor sizeof(long long)
-#endif
-
 #define MY_ERRPTR ((void*)(intptr)1)
 
 #if SIZEOF_OFF_T > 4

=== modified file 'mysys/my_getopt.c'
--- mysys/my_getopt.c	2008-07-13 22:45:08 +0000
+++ mysys/my_getopt.c	2008-07-14 16:24:25 +0000
@@ -992,23 +992,23 @@
     /*
       Do not clear variable value if it has no default value.
       The default value may already be set.
-      NOTE: To avoid compiler warnings, we first cast int64_t to intptr,
+      NOTE: To avoid compiler warnings, we first cast int64_t to intptr_t,
       so that the value has the same size as a pointer.
     */
-    if ((char*) (intptr) value)
-      *((char**) variable)= (char*) (intptr) value;
+    if ((char*) (intptr_t) value)
+      *((char**) variable)= (char*) (intptr_t) value;
     break;
   case GET_STR_ALLOC:
     /*
       Do not clear variable value if it has no default value.
       The default value may already be set.
-      NOTE: To avoid compiler warnings, we first cast int64_t to intptr,
+      NOTE: To avoid compiler warnings, we first cast int64_t to intptr_t,
       so that the value has the same size as a pointer.
     */
-    if ((char*) (intptr) value)
+    if ((char*) (intptr_t) value)
     {
       my_free((*(char**) variable), MYF(MY_ALLOW_ZERO_PTR));
-      *((char**) variable)= my_strdup((char*) (intptr) value, MYF(MY_WME));
+      *((char**) variable)= my_strdup((char*) (intptr_t) value, MYF(MY_WME));
     }
     break;
   default: /* dummy default to avoid compiler warnings */

